Name:           mediaproxy
Version:        1.9.1
Release:        1%{?dist}
Summary:        MediaProxy is a far-end NAT traversal solution for OpenSER

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.ag-projects.com/MediaProxy.html
Source0:        http://mediaproxy.ag-projects.com/%{name}-%{version}.tar.gz
Source1:        mediaproxy.init
Patch0:         mediaproxy.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
MediaProxy is a far-end NAT traversal solution for OpenSER
(http://OpenSER.org) and SIP Express Router (http://iptel.org/ser) that has
the following features:

  - Distributed geographical location
  - Scalability, load balancing and redundancy
  - Real-time sessions statistics
  - Configurable IP and UDP port range
  - Support for audio and video streams
  - Support for multiple media streams per call
  - Accounting of network traffic


%prep
%setup -q -n %{name}
%patch0 -p1


%build


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name} $RPM_BUILD_ROOT%{_sysconfdir} \
         $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
cp -pRf log modules utils web *.py $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pf mediaproxy.ini.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.ini
cp -pf %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
cd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s ../../../%{_sysconfdir}/%{name}.ini


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add mediaproxy

%preun
if [ $1 = 0 ]; then
 /sbin/service mediaproxy stop > /dev/null 2>&1
 /sbin/chkconfig --del mediaproxy
fi


%files
%defattr(-,root,root,-)
%doc Changelog INSTALL README LICENSE dictionary mediaproxy.ini.sample
%config(noreplace) %{_sysconfdir}/mediaproxy.ini
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_datadir}/%{name}


%changelog
* Tue May 6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.9.1-1
- update to upstream

* Tue Aug 28 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.9.0-1
- initial release
